package domain

func GetTargetURL(shortURL string) (target string, err error) {
	su := ShortURL{URL: URL(shortURL)}
	tu, err := shortURLRepository.GetTarget(su)
	if err != nil {
		target = ""
	} else {
		target = string(tu.URL)
	}

	return
}

func GetShortURL(targetURL string) (short string, isNew bool, err error) {
	tu := TargetURL{URL: URL(targetURL)}
	su, isNew, err := targetURLRepository.GetShort(tu)
	if err != nil {
		short = ""
		isNew = false
	} else {
		short = string(su.URL)
	}

	return
}
